import {
  getLearningTrainType,
  getLevels,
  getLevelsAndChildrenNumber,
  getRegulatoryType,
} from "@/request/data_dictionary.js";
import { ref } from "vue";

// 监管类型
export const layoutFnGetRegulatoryType = async (params) => {
  const resData = await getRegulatoryType(params);
  return ref(JSON.parse(resData.varOList.zTreeNodes));
};
// 企业状态
export const layoutFnGetEnterpriseStatus = async () => {
  const resData = await getLevels({
    DICTIONARIES_ID: "4d4862f9863b4b0da67f754c49e67ea3",
  });
  return ref(resData.list);
};
// 隶属关系
export const layoutFnGetSubordination = async () => {
  const resData = await getLevels({
    DICTIONARIES_ID: "1a13f574d4c44cd2ac2034f8e3259f9b",
  });
  return ref(resData.list);
};
// 企业规模
export const layoutFnGetEnterpriseScale = async () => {
  const resData = await getLevels({
    DICTIONARIES_ID: "37b045e160c04ddba851073b4e510cc9",
  });
  return ref(resData.list);
};
// 培训行业类型
export const layoutFnGetTrainingIndustryType = async () => {
  const resData = await getLearningTrainType({
    parentId: "052369aa22d242118236cde52d0c67ea",
  });
  return ref(JSON.parse(resData.zTreeNodes));
};
// 培训岗位类型
export const layoutFnGetTrainingPostType = async () => {
  const resData = await getLearningTrainType({
    parentId: "f6a7c4f5602f46e291d06b1390a3f820",
  });
  return ref(JSON.parse(resData.zTreeNodes));
};
// 培训板块类型
export const layoutFnGetTrainingPlateType = async () => {
  const resData = await getLearningTrainType({
    parentId: "d538d11e4eec409ab428f5d2f3c67c24",
  });
  return ref(JSON.parse(resData.zTreeNodes));
};
// 无法确定DICTIONARIES_ID的数据字典
export const layoutFnGetLevels = async (DICTIONARIES_ID) => {
  const resData = await getLevels({ DICTIONARIES_ID });
  return ref(resData.list);
};
// 无法确定DICTIONARIES_ID的数据字典包括子级数量
export const layoutFnGetLevelsAndChildrenNumber = async (DICTIONARIES_ID) => {
  const resData = await getLevelsAndChildrenNumber({ DICTIONARIES_ID });
  return ref(resData.list);
};
